バッチ情報を取得
curl --request GET \
--url https://api.olostep.com/v1/batches/{batch_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/batches/{batch_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/batches/{batch_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"status": "<string>",
"created": 123,
"total_urls": 123,
"completed_urls": 123,
"parser": "<string>",
"country": "<string>",
"metadata": {
"order_id": "12345",
"customer_name": "John Doe",
"priority": "high",
"processed": "true"
},
"webhook": "<string>",
"credits_consumed": 123,
"cost_usd": 123
}{
"id": "error_abc123",
"object": "error",
"code": "invalid_api_key",
"type": "https://docs.olostep.com/api-reference/errors/unauthorized",
"status": 401,
"title": "認証されていません",
"detail": "Your API key is invalid",
"created": 1704067200,
"metadata": {}
}{
"id": "error_abc123",
"object": "error",
"code": "batch_not_found",
"type": "https://docs.olostep.com/api-reference/errors/not_found",
"status": 404,
"title": "見つかりません",
"detail": "Batch not found",
"created": 1704067200,
"metadata": {}
}{
"id": "error_abc123",
"object": "error",
"code": "internal_server_error",
"type": "https://docs.olostep.com/api-reference/errors/internal_error",
"status": 500,
"title": "内部サーバーエラー",
"detail": "An unexpected error occurred",
"created": 1704067200,
"metadata": {}
}バッチ
バッチ情報
バッチのステータスと進捗情報を取得します。バッチのコンテンツを取得するには、こちらを参照してください。
GET
/
v1
/
batches
/
{batch_id}
バッチ情報を取得
カスタムデータを添付:
metadata パラメーターを使用して、バッチにキーと値のペアを保存します。詳細はメタデータを参照してください。承認
Bearer 形式のBearer認証ヘッダー。はあなたの認証トークンです。
パスパラメータ
情報を取得するバッチのID。
レスポンス
バッチ情報を含む成功したレスポンス。
バッチ ID
オブジェクトの種類。このエンドポイントでは "batch" だよ。
in_progress または completed
作成されたエポック
バッチ内のURLの数
完了したURLの数
オブジェクトに関する追加情報を保存するためのキーと値のペアのセット。Stripeのアプローチに従い、検証ルールがあります:最大50キー、キーは最大40文字(角括弧なし)、値は最大500文字、すべての値は文字列として保存されます。
Show child attributes
Show child attributes
例:
{
"order_id": "12345",
"customer_name": "John Doe",
"priority": "high",
"processed": "true"
}
完了通知を受け取るためのWebhook URL
このリクエストで消費されたクレジットの数。実行完了後に設定されるよ。クレジットは請求の基準だよ。
このリクエストのUSDでの推定コスト。実行完了後に設定されるよ。消費されたクレジットとプランのレートから計算されるよ — 99%の精度だけど、credits_consumedが正確な値だよ。
このページは役に立ちましたか?
⌘I